#ifndef _TRANSFERDLG_H_
#define _TRANSFERDLG_H_

#include <qlistview.h>
#include <qtabwidget.h>
//#include <qdialog.h>
#include <qpopupmenu.h>     
#include <list>
using namespace std;

class file_transfer_lv;
class QueueItem;

//class TransferDlg : public QDialog
class TransferDlg : public QWidget
{
     Q_OBJECT
public:
     /*!
       Fires up the dialog and creates the ListViews and transfer thingis
       
       \param parent Parent widget
       \param name Name of widget
     */
     TransferDlg( QWidget* parent = 0, const char* name = 0 );
     file_transfer_lv* downloads;
    
public slots:
void updateHistory(const QString &user, const QString &file);
     void enqueue(int gdl,const QString& user, const QString& file, const QString& size);
     void dequeue(const QString& user, const QString& file);
     void handleInfo(int,const QString&,int,int,int,const QString&,const QString&);
     void menuClicked(int i);
     void showQueueMenu(QListViewItem* i, const QPoint &p, int);

     signals:
	void removeInactive();
    void updateDList();
    void addTransfer(int, const QString&);
    void addTransfer(int,const QString&, const QString&);
    void transferInfo(int,const QString&,int,int,int,const QString&,const QString&);
     void transferInfo(int,int,int);
     void activeTransfers( list<int>& );
     void cancelTransfer( int );
     void getUserFileList( const QString& );
     //     void removeTransfer( int );
     void removeTransfer( const QString&, const QString& );
    void retryTransfer(const QString& );
private:

     file_transfer_lv* uploads;
     QTabWidget* tabs;
     QListView* queue;
     QListView* history;
     QPopupMenu* queueMenu;
     QueueItem *lastClicked;
};

#endif
